# Start Profile

### **Start Profile**

```
POST http://127.0.0.1:2268/profiles/start/:profileID
```

### Example

* Curl example

```
curl -X POST http://127.0.0.1:2268/profiles/start/:profileID
```

* Javascript example

```
const hidemyacc = new Hidemyacc();
const response= await hidemyacc.start("652e8e982293bc496ec38ecb");
```

**Note:** In Hidemyacc 3.0 you can adjust proxy when starting profiles.&#x20;

```json
{
    "proxy": "{\"host\":\"127.0.0.1\",\"mode\":\"http\",\"password\":\"d92913ab\",\"port\":26951,\"username\":\"nguyenmanhtien.bh\"}",
    "params": "--disable-gpu --window-size=800,600 --window-position=100,100"
}
```

* Get params here: <https://peter.sh/experiments/chromium-command-line-switches/>

### <mark style="background-color:yellow;">Success response</mark>

**Success response - `Success 200`**

| Name  | Type     | Description                 |
| ----- | -------- | --------------------------- |
| port  | `Number` | PORT auto                   |
| wsUrl | `String` | Used to integrate Puppeteer |

### <mark style="background-color:yellow;">Success response example</mark>

**Success response example - `Success-Example`**

```
Status code: 200 OK
{
    "code": 1,
    "data": {
        "success": true,
        "port": 27999,
        "wsUrl": "ws://127.0.0.1:27999/devtools/browser/23b9ca53-5e90-4977-99a9-30a95b0c03f5",
        "userAgent": "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/113.0.0.0 Safari/537.36",
        "majorVersion": 113
    }
}
```

### <mark style="background-color:yellow;">Error response</mark>

**Error response - `Error 4xx`**

<table><thead><tr><th width="206.33333333333331">Name</th><th width="197">Type</th><th>Description</th></tr></thead><tbody><tr><td>402</td><td></td><td>API supported from Team plan</td></tr></tbody></table>

### <mark style="background-color:yellow;">Error response example</mark>

**Error response example - `Response (example):`**

```
Status code 402: Payment required
{
    "code": 0
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.hidemyacc.com/hidemyacc-3.0-features/hidemyacc-3.0-api/profile-api/start-profile.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
